import 'package:eva_icons_flutter/eva_icons_flutter.dart';
import 'package:flutter/material.dart';

class OrderStatusIcon extends StatelessWidget {
  const OrderStatusIcon({super.key, required this.status});
  final String status;
  @override
  Widget build(BuildContext context) {
    switch (status) {
      case "N":
        return Tooltip(
          message: "Belum dikirim",
          child: Icon(
            EvaIcons.stopCircle,
            color: Colors.blue,
          ),
        );
      case "P":
        return Tooltip(
          message: "Pending",
          child: Icon(
            EvaIcons.clock,
            color: Colors.yellow,
          ),
        );
      case "S":
        return Tooltip(
          message: "Terkirim",
          child: Icon(
            EvaIcons.checkmarkCircle2,
            color: Colors.green,
          ),
        );
      default:
        return const Placeholder();
    }
  }
}
